org.apache.maven.scm.provider.cvslib.command

## Class CvsCommandUtils

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.CvsCommandUtils

-     public class CvsCommandUtils
      extends Object

  Version:
    $Id: CvsCommandUtils.java 690997 2008-09-01 15:29:28Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet)`
    `static org.codehaus.plexus.util.cli.Commandline` | `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet, boolean addCvsRoot)`
    `static org.codehaus.plexus.util.cli.Commandline` | `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet, String options)`
    `static org.codehaus.plexus.util.cli.Commandline` | `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet, String options, boolean addCvsRoot)`
    `static boolean` | `isCvsNT()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isCvsNT

          public static boolean isCvsNT()
                                 throws ScmException

      Throws:
        `ScmException`

    - #### getBaseCommand

          public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                CvsScmProviderRepository repo,
                                                                ScmFileSet fileSet)

    - #### getBaseCommand

          public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                CvsScmProviderRepository repo,
                                                                ScmFileSet fileSet,
                                                                boolean addCvsRoot)

    - #### getBaseCommand

          public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                CvsScmProviderRepository repo,
                                                                ScmFileSet fileSet,
                                                                String options)

    - #### getBaseCommand

          public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                CvsScmProviderRepository repo,
                                                                ScmFileSet fileSet,
                                                                String options,
                                                                boolean addCvsRoot)

Copyright © 2003–2015. All rights reserved.